import { get, Result } from "../base";

/**
 * 当前用户的路由信息
 * @returns .
 */
export function menuList(): Promise<any> {
  return  [
      {
        component: "order/index",
        meta: {
          icon: "fa-solid:th-list",
          keepAlive: false,
          showLink: true,
          showParent: false,
          title: "订单管理"
        },
        name: "order",
        path: "/order"
      },
      {
        component: "paytest/index",
        meta: {
          icon: "ep:share",
          keepAlive: false,
          showLink: true,
          showParent: true,
          title: "支付测试"
        },
        name: "paytest",
        path: "/paytest/index"
      }
    ]
}
export function getRoutes(): Promise<Result<any>> {
  return get<any, Result<any>>("/sys/permission/routes", {});
}


